Page MenuHomePhabricator

tests: add functional unit tests for radio widgets
ClosedPublic

Authored by zmike on Jun 14 2019, 10:13 AM.

Details

Summary

this adds some basic testing to verify that callbacks occur and values
are set as expected

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 11774
zmike created this revision.Jun 14 2019, 10:13 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Jun 14 2019, 10:13 AM

This will need to adapt after D9058 lands.
Also, it could check that there's only one selected button in the group. That's an issue I am facing now.

zmike added a comment.Jun 17 2019, 5:43 AM

I thought about that, but I'm not entirely sure how to approach it. Will need to debug the existing issue to see what's going on.

zmike updated this revision to Diff 22909.Jun 21 2019, 6:39 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jul 7 2019, 11:14 PM
This revision was automatically updated to reflect the committed changes.